# Report Loan Statement Entries Return a list of all loan statement entries matching the given search criteria. If loanSettlementId or loanId is not specified, currency, and a date range (either created at or due on) must be provided. Alpha release - Consider this endpoint experimental and very likely to change in future. Endpoint: GET /loans/statements/entries/report Version: 3.0 Security: Marketplace API Key | Enterprise API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT | Customer JWT ## Query parameters: - `loanStatementId` (array) Filter by loan statement system identifier ## Response 200 fields (application/json): - `currency` (string, required) Three-letter ISO currency code, in uppercase. See https://www.iso.org/iso-4217-currency-codes.html - `entries` (array) - `entries.entryTimestamp` (string, required) When the statement line was recorded - `entries.entryDescription` (string, required) A human-readable description of the statement entry - `entries.loanStatementId` (string) The system identifier of the loan statement this entry is included in. Only empty if the statement has not yet been issued. - `entries.referenceStatementId` (string) Unique identifier visible to the customer for the loan statement. - `entries.loanId` (string, required) The system identifier for the loan - `entries.netTotal` (integer, required) Sum of all line items before tax and insurance, in minor currency units. - `entries.taxTotal` (integer, required) Combined tax from all line items, in minor currency units. - `entries.taxRate` (number) The tax rate applied to the line item represented as a rate. For instance, 0.1 represents 10% tax. - `entries.taxType` (string) Name for the tax being applied. - `entries.insuranceTotal` (integer, required) Combination of all insurance-related line items, in minor currency units. - `entries.billingAmountTotal` (integer, required) Full combined amount that contributes to the statement due to this entry, in minor currency units. - `entries.originalBillingAmountTotal` (object, required) Details of the fx conversion from the charge currency to the billing currency. - `entries.originalBillingAmountTotal.sourceAmount` (number, required) Gross amount in major units of source currency. - `entries.originalBillingAmountTotal.sourceTaxAmount` (number) Tax amount in major units of source currency. - `entries.originalBillingAmountTotal.sourceNetAmount` (number) Net amount in major units of source currency. - `entries.originalBillingAmountTotal.sourceCurrency` (string, required) Original currency the entry was specified in. - `entries.originalBillingAmountTotal.targetAmount` (number) Gross amount in major units of target currency. - `entries.originalBillingAmountTotal.targetTaxAmount` (number) Tax amount in major units of target currency. - `entries.originalBillingAmountTotal.targetNetAmount` (number) Net amount in major units of target currency. - `entries.originalBillingAmountTotal.targetCurrency` (string) Currency to convert into. - `entries.originalBillingAmountTotal.exchangeRate` (number, required) The rate to convert one unit of source currency to the target currency. - `entries.originalBillingAmountTotal.rateUpdatedAt` (string, required) When the exchange rate was set. - `entries.currency` (string, required) Currency of the statement amounts. - `entries.transactionId` (string) The acquiring transaction associated with entry, if any - `entries.issuerTransactionId` (string) The issuer transaction associated with entry, if any - `entries.issuerSettlementType` (string) For issuer transactions, the mechanism used to settle with the merchant Enum: "open_loop", "closed_loop" - `entries.digitalCardDetails` (object) - `entries.digitalCardDetails.cardHolderName` (string, required) - `entries.digitalCardDetails.cardBrand` (string, required) - `entries.digitalCardDetails.expiryDate` (string, required) - `entries.digitalCardDetails.issuerCountry` (string, required) Enum: "AF", "AX", "AL", "DZ", "AS", "AD", "AO", "AI", "AQ", "AG", "AR", "AM", "AW", "AU", "AT", "AZ", "BS", "BH", "BD", "BB", "BY", "BE", "BZ", "BJ", "BM", "BT", "BO", "BQ", "BA", "BW", "BV", "BR", "IO", "VG", "BN", "BG", "BF", "BI", "KH", "CM", "CA", "CV", "KY", "CF", "TD", "CL", "CN", "CX", "CC", "CO", "KM", "CG", "CK", "CR", "CI", "HR", "CU", "CW", "CY", "CZ", "DK", "DJ", "DM", "DO", "EC", "EG", "SV", "GQ", "ER", "EE", "ET", "FK", "FO", "FJ", "FI", "FR", "GF", "PF", "TF", "GA", "GM", "GE", "DE", "GH", "GI", "GR", "GL", "GD", "GP", "GU", "GT", "GG", "GN", "GW", "GY", "HT", "HM", "HN", "HK", "HU", "IS", "IN", "ID", "IR", "IQ", "IE", "IM", "IL", "IT", "JM", "JP", "JE", "JO", "KZ", "KE", "KI", "KW", "KG", "LA", "LV", "LB", "LS", "LR", "LY", "LI", "LT", "LU", "MO", "MK", "MG", "MW", "MY", "MV", "ML", "MT", "MH", "MQ", "MR", "MU", "YT", "MX", "FM", "MD", "MC", "MN", "ME", "MS", "MA", "MZ", "MM", "NA", "NR", "NP", "NL", "NC", "NZ", "NI", "NE", "NG", "NU", "NF", "MP", "KP", "NO", "OM", "PK", "PW", "PS", "PA", "PG", "PY", "PE", "PH", "PN", "PL", "PT", "PR", "QA", "RE", "RO", "RU", "RW", "BL", "SH", "KN", "LC", "MF", "PM", "VC", "WS", "SM", "ST", "SA", "SN", "RS", "SC", "SL", "SG", "SX", "SK", "SI", "SB", "SO", "ZA", "GS", "KR", "SS", "ES", "LK", "SD", "SR", "SJ", "SZ", "SE", "CH", "SY", "TW", "TJ", "TZ", "TH", "CD", "TL", "TG", "TK", "TO", "TT", "TN", "TR", "TM", "TC", "TV", "UG", "UA", "AE", "GB", "US", "UM", "UY", "VI", "UZ", "VU", "VA", "VE", "VN", "WF", "EH", "YE", "ZM", "ZW" - `entries.digitalCardDetails.digitalCreditCardIdSynonyms` (array) - `entries.digitalCardDetails.digitalCreditCardIdSynonyms.synonym` (string, required) - `entries.digitalCardDetails.digitalCreditCardIdSynonyms.cardSynonymType` (string, required) Enum: "RandomPan" - `entries.digitalCardDetails.bin` (string, required) - `entries.digitalCardDetails.last4` (string, required) - `entries.digitalCardDetails.cardCreator` (string) - `entries.acquiringMerchantDetails` (object, required) - `entries.acquiringMerchantDetails.name` (string) Business name of the merchant the transaction is associated with. - `entries.acquiringMerchantDetails.taxId` (string) Optional taxId of the merchant associated with this transaction. - `entries.acquiringMerchantDetails.postCode` (string) Optional post code of the merchant associated with this transaction. - `entries.acquiringMerchantDetails.merchantCategoryCode` (string) The merchant MCC - `entries.acquiringMerchantDetails.iataNumber` (string) IATA 3-Digit Airline Numeric Code for when the merchant is an airline. - `entries.acquiringMerchantDetails.country` (string) Optional city of the merchant associated with this transaction. Enum: "AF", "AX", "AL", "DZ", "AS", "AD", "AO", "AI", "AQ", "AG", "AR", "AM", "AW", "AU", "AT", "AZ", "BS", "BH", "BD", "BB", "BY", "BE", "BZ", "BJ", "BM", "BT", "BO", "BQ", "BA", "BW", "BV", "BR", "IO", "VG", "BN", "BG", "BF", "BI", "KH", "CM", "CA", "CV", "KY", "CF", "TD", "CL", "CN", "CX", "CC", "CO", "KM", "CG", "CK", "CR", "CI", "HR", "CU", "CW", "CY", "CZ", "DK", "DJ", "DM", "DO", "EC", "EG", "SV", "GQ", "ER", "EE", "ET", "FK", "FO", "FJ", "FI", "FR", "GF", "PF", "TF", "GA", "GM", "GE", "DE", "GH", "GI", "GR", "GL", "GD", "GP", "GU", "GT", "GG", "GN", "GW", "GY", "HT", "HM", "HN", "HK", "HU", "IS", "IN", "ID", "IR", "IQ", "IE", "IM", "IL", "IT", "JM", "JP", "JE", "JO", "KZ", "KE", "KI", "KW", "KG", "LA", "LV", "LB", "LS", "LR", "LY", "LI", "LT", "LU", "MO", "MK", "MG", "MW", "MY", "MV", "ML", "MT", "MH", "MQ", "MR", "MU", "YT", "MX", "FM", "MD", "MC", "MN", "ME", "MS", "MA", "MZ", "MM", "NA", "NR", "NP", "NL", "NC", "NZ", "NI", "NE", "NG", "NU", "NF", "MP", "KP", "NO", "OM", "PK", "PW", "PS", "PA", "PG", "PY", "PE", "PH", "PN", "PL", "PT", "PR", "QA", "RE", "RO", "RU", "RW", "BL", "SH", "KN", "LC", "MF", "PM", "VC", "WS", "SM", "ST", "SA", "SN", "RS", "SC", "SL", "SG", "SX", "SK", "SI", "SB", "SO", "ZA", "GS", "KR", "SS", "ES", "LK", "SD", "SR", "SJ", "SZ", "SE", "CH", "SY", "TW", "TJ", "TZ", "TH", "CD", "TL", "TG", "TK", "TO", "TT", "TN", "TR", "TM", "TC", "TV", "UG", "UA", "AE", "GB", "US", "UM", "UY", "VI", "UZ", "VU", "VA", "VE", "VN", "WF", "EH", "YE", "ZM", "ZW" - `entries.acquiringMerchantDetails.city` (string) Optional city of the merchant associated with this transaction. - `entries.acquiringMerchantDetails.emailAddress` (string) Optional email of the merchant associated with this transaction. - `entries.acquiringMerchantDetails.phoneNumber` (string) Optional phone number in E164 Format of the merchant associated with this transaction. - `entries.supplierDetails` (object, required) - `entries.supplierDetails.name` (string) Business name of the supplier the transaction is associated with. - `entries.supplierDetails.iataNumber` (string) IATA 8-Digit Numeric Code for the agency. - `entries.metadata` (object) Metadata associated with this entry, if any - `entries.lineItems` (array, required) Statement line items associated with this entry. - `entries.lineItems.entryType` (string, required) The type of the statement line item Enum: "Charge", "Refund", "Dispute", "DisputeFee", "Insurance", "AnnualFee", "ImplementationFee", "StatementReissueFee", "CurrencyConversionFee", "InternationalProcessingFee", "TransactionFee", "HotelEnrichmentFee", "PremiumAccountFee", "LatePaymentReminderFee", "LatePaymentFee", "BankFee", "ThirdPartyServiceFee", "ManualAdjustment" - `entries.lineItems.description` (string, required) Description of the statement line item - `entries.lineItems.netAmount` (integer, required) Amount before tax in minor currency units - `entries.lineItems.taxAmount` (integer, required) Tax amount in minor currency units - `entries.lineItems.totalAmount` (integer, required) Total amount including tax in minor currency units - `entries.lineItems.originalAmount` (object, required) If the transaction was received in a currency other than the settlement currency, this includes details of how it was converted. - `entries.entryType` (string, required) Type of loan statement entry Enum: "Charge", "Refund", "Dispute", "Adjustment", "Manual", "StandaloneFee" - `entries.entryId` (string) System identifier specific to the given entry type - `totalPages` (integer, required) - `totalRecords` (integer, required) ## Response 400 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 401 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 403 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 404 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 405 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 406 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 409 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 422 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 429 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 500 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 503 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata